Jockey cannot install fglrx driver

Bug #496225 reported by Untitled No. 4 on 2009-12-13
86
This bug affects 17 people
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
Medium
Alberto Milone
Lucid
Medium
Alberto Milone

Bug Description

On Lucid, when trying to install the fglrx drivers through I get the following error:
Sorry, installation of this driver failed. Please have a look at the log file for details: /var/log/jockey.log

which contains the following:
2009-12-13 16:11:10,551 DEBUG: XorgDriverHandler.enabled() [module: fglrx, package: xorg-driver-fglrx, xorg driver: fglrx): exception , considering disabled
2009-12-13 16:11:10,551 DEBUG: {'Files': {}, 'Vendor': {}, 'Monitor': {}, 'Screen': {}, 'Module': {}, 'DRI': {}, 'InputDevice': {}, 'Comments': {}, 'Extensions': {}, 'SubSection': {}, 'ServerLayout': {}, 'Device': {}, 'VideoAdaptor': {}, 'ServerFlags': {}, 'Modes': {}}
2009-12-13 16:11:15,979 DEBUG: XorgDriverHandler.enabled() [module: fglrx, package: xorg-driver-fglrx, xorg driver: fglrx): exception , considering disabled
2009-12-13 16:11:15,980 DEBUG: {'Files': {}, 'Vendor': {}, 'Monitor': {}, 'Screen': {}, 'Module': {}, 'DRI': {}, 'InputDevice': {}, 'Comments': {}, 'Extensions': {}, 'SubSection': {}, 'ServerLayout': {}, 'Device': {}, 'VideoAdaptor': {}, 'ServerFlags': {}, 'Modes': {}}
2009-12-13 16:11:16,353 WARNING: modinfo for module fglrx failed: ERROR: modinfo: could not find module fglrx

2009-12-13 16:11:16,354 WARNING: /sys/module/fglrx/drivers does not exist, cannot rebind fglrx driver
2009-12-13 16:11:16,355 ERROR: XorgDriverHandler.enable(): package or module not installed, aborting
2009-12-13 16:11:16,372 DEBUG: XorgDriverHandler.enabled() [module: fglrx, package: xorg-driver-fglrx, xorg driver: fglrx): exception , considering disabled
2009-12-13 16:11:16,373 DEBUG: {'Files': {}, 'Vendor': {}, 'Monitor': {}, 'Screen': {}, 'Module': {}, 'DRI': {}, 'InputDevice': {}, 'Comments': {}, 'Extensions': {}, 'SubSection': {}, 'ServerLayout': {}, 'Device': {}, 'VideoAdaptor': {}, 'ServerFlags': {}, 'Modes': {}}
2009-12-13 16:11:16,373 DEBUG: XorgDriverHandler.enabled() [module: fglrx, package: xorg-driver-fglrx, xorg driver: fglrx): exception , considering disabled
2009-12-13 16:11:16,374 DEBUG: {'Files': {}, 'Vendor': {}, 'Monitor': {}, 'Screen': {}, 'Module': {}, 'DRI': {}, 'InputDevice': {}, 'Comments': {}, 'Extensions': {}, 'SubSection': {}, 'ServerLayout': {}, 'Device': {}, 'VideoAdaptor': {}, 'ServerFlags': {}, 'Modes': {}}

The following packages have been installed:
fglrx-amdcccle
fglrx-kernel-source
fglrx-modaliases
xorg-driver-fglrx

ProblemType: Bug
Architecture: amd64
Date: Sun Dec 13 16:14:11 2009
DistroRelease: Ubuntu 10.04
InstallationMedia: Kubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20091210)
MachineType: LENOVO 2056W5F
Package: jockey-kde 0.5.5-0ubuntu4
PackageArchitecture: all
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-7-generic root=UUID=19978172-2f48-4f88-921c-e8927bb4db2b ro quiet splash
ProcEnviron:
 LANGUAGE=
 LANG=C
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-7.10-generic
SourcePackage: jockey
Tags: lucid
Uname: Linux 2.6.32-7-generic x86_64
dmi.bios.date: 01/09/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 6FET56WW (2.02 )
dmi.board.name: 2056W5F
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6FET56WW(2.02):bd01/09/2009:svnLENOVO:pn2056W5F:pvrThinkPadT500:rvnLENOVO:rn2056W5F:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2056W5F
dmi.product.version: ThinkPad T500
dmi.sys.vendor: LENOVO

Related branches

Untitled No. 4 (untitled-no4) wrote :

I confirm. I get the same bug installing the fglrx driver. I think the important part of the log is:

========
2009-12-23 16:26:39,617 WARNING: modinfo for module fglrx failed: ERROR: modinfo: could not find module fglrx

2009-12-23 16:26:39,617 WARNING: /sys/module/fglrx/drivers does not exist, cannot rebind fglrx driver
2009-12-23 16:26:39,617 ERROR: XorgDriverHandler.enable(): package or module not installed, aborting
========

I also have all fglrx-related packages installed.
Flgrx used to work on 9.10, but after upgrading to lucid I had to switch to radeonhd.

I doubt whether there will be any use of my other log files, but if you want, I can upload them.

Oh, and jockey-backend log says a bit more. That is everything concerning fglrx:

=======
2009-12-23 16:40:48,312 DEBUG: XorgDriverHandler isDriverEnabled (fglrx, xorg-driver-fglrx, fglrx): xorg.conf driver None, considering disabled
2009-12-23 16:40:53,092 WARNING: modinfo for module fglrx failed: ERROR: modinfo: could not find module fglrx

2009-12-23 16:40:53,092 WARNING: /sys/module/fglrx/drivers does not exist, cannot rebind fglrx driver
2009-12-23 16:40:53,092 ERROR: XorgDriverHandler.enable(): package or module not installed, aborting
2009-12-23 16:40:53,106 DEBUG: XorgDriverHandler isDriverEnabled (fglrx, xorg-driver-fglrx, fglrx): xorg.conf driver None, considering disabled
2009-12-23 16:40:53,107 DEBUG: XorgDriverHandler isDriverEnabled (fglrx, xorg-driver-fglrx, fglrx): xorg.conf driver None, considering disabled
=======
Well, it actually is the same, but with more debug output, which may be somehow important.

Attila (attila-bukta) wrote :

I have received the same error, for now, staying with radeon.

jastonas (jastonas) wrote :

Same error with 10.04 alpha 1 and alpha 2 here.

It seems the newest fglrx does not support (yet) the newest xorg (7.6). We must hope ATI will fix it soon... Or use free drivers, like radeon or radeonhd.

Caner (uni-cag) wrote :

I installed ATI Catalyst Display Driver 10.1 (Release Date: 1/27/2010) and it works.
It says on the support.amd.com that the driver v10.1 supports xorg up to 7.4.

duffolonious (duff0097) wrote :

Caner: did just install the drivers straight from AMD/ATI's site, or just force the install of he driver via apt?

Jason J. Herne (hernejj) on 2010-03-23
Changed in jockey (Ubuntu):
status: New → Confirmed
Jason J. Herne (hernejj) wrote :

Caner: I believe that Lucid is using Xorg 7.5 not 7.4. Therefore the ATI driver you are talking about will unfortunately not work with Lucid. I just checked ATI's website and their latest driver (10.2) still does not support xorg 7.5. I guess we keep waiting :)

Changed in jockey (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: Confirmed → Triaged
Changed in jockey (Ubuntu Lucid):
importance: High → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.5.8-0ubuntu6

---------------
jockey (0.5.8-0ubuntu6) lucid; urgency=low

  * data/handlers/fglrx.py:
    - Re-enable the fglrx handler and make it use the alternatives system
      (LP: #496225).
  * data/handlers/nvidia.py:
    - See if the module alias is loaded and then check what module it
      corresponds to in order to see if it's really enabled (LP: #547066).
      This involved overriding the enabled() and the used() methods.
  * jockey/xorg_driver.py:
    - Simplify the logic in the enabled() method by only relying on
      X-Kit's isDriverEnabled() method. This will avoid getting false
      positives in the case in which the 1st Device section (i.e. the
      only one that we used to check) uses the right driver but the
      same section is irrelevant as it's not mentioned in the
      ServerLayout section.
 -- Alberto Milone <email address hidden> Tue, 30 Mar 2010 15:48:37 +0200

Changed in jockey (Ubuntu Lucid):
status: Triaged → Fix Released
wilfred_com (wilfredcom) wrote :
Download full text (6.2 KiB)

I still have this bug with fresh Kubuntu beta2 AMD 64, in a Toshiba Satellite L505D this is the info:

#aptitude show jockey-common
Paquete: jockey-common
Estado: instalado
Instalado automáticamente: no
Versión: 0.5.8-0ubuntu7

#lscpi
VGA compatible controller: ATI Technologies Inc RS780MC [Radeon HD 3100 Graphics]

# uname -r
2.6.32-20-generic

The log says:

2010-04-17 18:50:42,457 DEBUG: loading custom handler /usr/share/jockey/handlers/fglrx.py
2010-04-17 18:50:42,464 WARNING: modinfo for module fglrx failed: ERROR: modinfo: could not find module fglrx

2010-04-17 18:50:42,466 DEBUG: Instantiated Handler subclass __builtin__.FglrxDriver from name FglrxDriver
2010-04-17 18:50:42,476 DEBUG: ATI/AMD proprietary FGLRX graphics driver availability undetermined, adding to pool
2010-04-17 18:50:42,476 DEBUG: loading custom handler /usr/share/jockey/handlers/b43.py
2010-04-17 18:50:42,542 DEBUG: Instantiated Handler subclass __builtin__.B43LegacyHandler from name B43LegacyHandler
2010-04-17 18:50:42,542 DEBUG: Broadcom B43legacy wireless driver availability undetermined, adding to pool
2010-04-17 18:50:42,575 DEBUG: Instantiated Handler subclass __builtin__.B43Handler from name B43Handler
2010-04-17 18:50:42,576 DEBUG: Broadcom B43 wireless driver availability undetermined, adding to pool
2010-04-17 18:50:42,577 DEBUG: loading custom handler /usr/share/jockey/handlers/madwifi.py
2010-04-17 18:50:42,589 WARNING: modinfo for module ath_pci failed: ERROR: modinfo: could not find module ath_pci

2010-04-17 18:50:42,590 DEBUG: Instantiated Handler subclass __builtin__.MadwifiHandler from name MadwifiHandler
2010-04-17 18:50:42,590 DEBUG: Alternate Atheros "madwifi" driver availability undetermined, adding to pool
2010-04-17 18:50:42,590 DEBUG: loading custom handler /usr/share/jockey/handlers/dvb_usb_firmware.py
2010-04-17 18:50:42,660 DEBUG: Instantiated Handler subclass __builtin__.DvbUsbFirmwareHandler from name DvbUsbFirmwareHandler
2010-04-17 18:50:42,661 DEBUG: Firmware for DVB cards not available
2010-04-17 18:50:42,661 DEBUG: all custom handlers loaded
2010-04-17 18:50:42,661 DEBUG: querying driver db <jockey.detection.LocalKernelModulesDriverDB instance at 0x2e97128> about HardwareID('modalias', 'acpi:device:')
2010-04-17 18:50:42,661 DEBUG: querying driver db <jockey.detection.LocalKernelModulesDriverDB instance at 0x2e97128> about HardwareID('modalias', 'input:b0003v064EpD104e0406-e0,1,kD4,ramlsfw'
)
2010-04-17 18:50:43,157 DEBUG: no corresponding handler available for {'driver_type': 'kernel_module', 'kernel_module': 'evbug', 'jockey_handler': 'KernelModuleHandler'}
2010-04-17 18:50:43,159 DEBUG: querying driver db <jockey.detection.LocalKernelModulesDriverDB instance at 0x2e97128> about HardwareID('modalias', 'acpi:LNXSYSTM:')
2010-04-17 18:50:43,159 DEBUG: querying driver db <jockey.detection.LocalKernelModulesDriverDB instance at 0x2e97128> about HardwareID('modalias', 'acpi:PNP0C32:')
2010-04-17 18:50:43,160 DEBUG: querying driver db <jockey.detection.LocalKernelModulesDriverDB instance at 0x2e97128> about HardwareID('modalias', 'pci:v00001002d00009613sv00001179sd0000FF1Fbc
03sc00i00')
2010-04-17 18:50:43,525 WARNING: modinfo for modul...

Read more...

wilfred_com (wilfredcom) wrote :

Solved:

I don remember that i try previously to install the Ati Catalyst driver form ATI's web, i run the unistall of this and try again with "find drivers" (jockey) and my 3D and all related works.

Loïc (thequestion) wrote :

Sorry for this up, but I have this problem with kernel 2.6.35.27, I just download and install (via apt) kernel update, next restart, and I can't activate desktop's composition. I look on jockey and see "This pilote isn't active", when I click on "Activate" he says "can't install, look at /var/log/jockey.log"

Part of my jockey.log
#start
2011-03-04 12:15:53,562 WARNING: modinfo for module fglrx failed: ERROR: modinfo: could not find module fglrx

2011-03-04 12:15:53,563 WARNING: /sys/module/fglrx/drivers does not exist, cannot rebind fglrx driver
2011-03-04 12:15:53,564 ERROR: XorgDriverHandler.enable(): package or module not installed, aborting
2011-03-04 12:16:25,776 DEBUG: XorgDriverHandler(fglrx, fglrx, fglrx): xorg.conf driver matches
2011-03-04 12:16:25,800 DEBUG: XorgDriverHandler(fglrx, fglrx, fglrx): xorg.conf driver matches
2011-03-04 12:16:33,747 DEBUG: XorgDriverHandler(fglrx, fglrx, fglrx): xorg.conf driver matches
2011-03-04 12:16:33,773 DEBUG: XorgDriverHandler(fglrx, fglrx, fglrx): xorg.conf driver matches
2011-03-04 12:16:33,802 DEBUG: XorgDriverHandler(fglrx, fglrx, fglrx): xorg.conf driver matches
2011-03-04 12:16:33,828 DEBUG: XorgDriverHandler(fglrx, fglrx, fglrx): xorg.conf driver matches
2011-03-04 12:16:33,853 DEBUG: XorgDriverHandler(fglrx, fglrx, fglrx): xorg.conf driver matches
2011-03-04 12:16:33,876 DEBUG: XorgDriverHandler(fglrx, fglrx, fglrx): xorg.conf driver matches
#end

When I look in synaptic, all fglrx packets are install

Before this kernel update, desktop's composition was ok and fglrx drivers was running correctely (I only must do a Alt+F12 when I log in my session)

So bug seems to always be active

P.S: Sorry for my english I'm french

Loïc (thequestion) wrote :

Extremely sorry for precedent post, problem is solve by open synaptic, select fglrx* packages and choose reinstall option. After reboot, I can activate desktop's composition by pressing Alt+F12
But I always don't know why I have this problem, why jockey says pilote aren't install !

Cordially

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers